/*------------------------------------------------------------------
CplFnc.H:    Interface of CPL Reusable Functions
------------------------------------------------------------------*/
#define        ECAERR_NOERROR      0  // no error
#define        ECAERR_CPLINIT      1  // fail in InitCPLProc() 
#define        ECAERR_NOAPFOUND    2  // no this applet in the CPL
#define        ECAERR_NEED32BIT    21 // meet 32-bit CPL file
//#define        ECAERR_TRY16BIT    31 // use ERROR_GEN_FAILURE(31)

#ifdef __cplusplus
extern "C" {
#endif

int  EnumApplets(HWND hwnd, LPCSTR pszCpl, LPSTR pszAplt);
int  CallAppletByIndex(HWND hwnd, LPCSTR pszCpl, int nIndex);
int  CallAppletByName(HWND hwnd, LPCSTR pszCpl, LPCSTR pszAp);

#ifdef __cplusplus
};
#endif
